Skip to main content
PATCH
/
api
/
v2
/
applications
/
{applicationKey}
/
versions
/
{versionKey}
Update application version
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/applications/{applicationKey}/versions/{versionKey} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "op": "replace",
    "path": "/supported",
    "value": "false"
  }
]
'
{
  "autoAdded": true,
  "key": "2",
  "name": "01.02.03",
  "_access": {
    "denied": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ],
    "allowed": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ]
  },
  "_links": {},
  "_version": 123,
  "creationDate": "1654104600000",
  "supported": true
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

applicationKey
string<string>
required

The application key

versionKey
string<string>
required

The application version key

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Application version response

autoAdded
boolean
required

Whether the application version was automatically created, because it was included in a context when a LaunchDarkly SDK evaluated a feature flag, or if the application version was created through the LaunchDarkly UI or REST API.

Example:

true

key
string
required

The unique identifier of this application version

Example:

"2"

name
string
required

The name of this version

Example:

"01.02.03"

_access
object

Details on the allowed and denied actions for this application version

The location and content type of related resources

_version
integer

Version of the application version

creationDate
integer<int64>

Timestamp of when the application version was created

Example:

"1654104600000"

supported
boolean

Whether this version is supported. Only applicable if the application kind is mobile.

Example:

true